<?php

// PHP Dateibrowser
// Version 1.4.2
// (C) Copyright 2009 - 2010 ViaThinkSoft
// Projektleiter: Daniel Marschall

// INFORMATION
// Diese Datei kann frei editiert werden.
// Sie muss die Konstanten PERSON_NAME, PERSON_EMAIL, SEITEN_TITEL,
// DATEIBROWSER_DOMAIN_RELATIVE_URL, CFG_SHOW_SIZE und CFG_SHOW_MOD_DATE definieren.
// Das Array $hidden_file_masks sowie auch $additional_head_elements kann hier
// zustzlich hrweitert werden.

// -------------------------------------------------------------------------------------------------------------------------

define('PERSON_NAME', 'Daniel Marschall');
define('PERSON_EMAIL', 'info@daniel-marschall.de');
define('SEITEN_TITEL', 'ViaThinkSoft - Daniel Marschall');
define('ROOT_DIR_NAME', 'Index');
define('DATEIBROWSER_BASE_URL', 'http://home.viathinksoft.de/daniel-marschall/');
define('CFG_SHOW_SIZE', true);
define('CFG_SHOW_MOD_DATE', false);

// Mittels der mitgelieferten .htaccess-Datei mit der RewriteEngine ist es nun mglich,
// auf Accessoren zu verzichten und Verzeichnisse direkt aufzurufen (auch ohne ?dir=... Argument)
// Nur, wenn dies Funktioniert, sollte diese Funktion aktiviert sein.
// Ansonsten sollte in der .htaccess "Options -Indexes" stehen, damit der Dateibrowser exklusiv genutzt
// und der Apache-Browser ausgeschlossen wird.
define('USE_REWRITING', true);

// "auto" is expanded to "ASCII,JIS,UTF-8,EUC-JP,SJIS"
define('FILENAME_ENCODING', 'auto');

// Damit basename() auch mit unserem Dateisystem zusammenarbeitet
setlocale(LC_ALL, 'en_US.UTF8');

// Keine Suchmaschinen zulassen
$additional_head_elements[] = '<meta name="ROBOTS" content="NOINDEX, NOFOLLOW">';

// Vorschlag fr eigene Fehlerseiten
$hidden_file_masks[] = 'error_*';

// Sonstige Dateien, die man nicht zeigen mchte
$hidden_file_masks[] = 'hidden_*';

// -------------------------------------------------------------------------------------------------------------------------

?>
